Skip to main content
PATCH
/
api
/
v1
/
merchants
/
{merchant_id}
/
products
/
visibility
Patch Product Visibility Endpoint
curl --request PATCH \
  --url https://api.example.com/api/v1/merchants/{merchant_id}/products/visibility \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "main_product_id": "<string>",
      "expected_updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "scope": "market_group",
  "market_id": "<string>",
  "market_group_id": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/merchants/{merchant_id}/products/visibility"

payload = {
"updates": [
{
"main_product_id": "<string>",
"expected_updated_at": "2023-11-07T05:31:56Z"
}
],
"scope": "market_group",
"market_id": "<string>",
"market_group_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [{main_product_id: '<string>', expected_updated_at: '2023-11-07T05:31:56Z'}],
scope: 'market_group',
market_id: '<string>',
market_group_id: '<string>'
})
};

fetch('https://api.example.com/api/v1/merchants/{merchant_id}/products/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "visibility": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchant_id
string
required

Body

application/json
updates
ProductVisibilityUpdateRequest · object[]
required
Required array length: 1 - 100 elements
scope
enum<string>
default:market_group
Available options:
market,
market_group,
global_market_group
market_id
string | null
Required string length: 1 - 256
market_group_id
string | null
Required string length: 1 - 256

Response

Successful Response

visibility
Visibility · object
required